Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163683 - amanda seems to lack SELinux support
Summary: amanda seems to lack SELinux support
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: amanda
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Daniel Novotny
QA Contact: Jay Turner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-20 09:08 UTC by Patrick C. F. Ernzer
Modified: 2015-01-08 00:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-25 07:38:31 UTC


Attachments (Terms of Use)

Description Patrick C. F. Ernzer 2005-07-20 09:08:44 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
As RHEL4 has support for SELinux and we enable it by default, we should make sure we can back up and restore a machine which has SELinux enabled.

Version-Release number of selected component (if applicable):
amanda-2.4.4p3-1

How reproducible:
Always

Steps to Reproduce:
1. grab amanda-2.4.4p3-1 source rpm
2. install said srpm
3. look at the ./configure line in the spec file
  

Actual Results:  --with-gnutar=/bin/tar


Expected Results:  --with-gnutar=/usr/bin/star
or pax

AFAIK these are the only tow options to back up SELinux flags.

IIRC the consenss on tech-list was that while both are not perfect, pax is preferable.

Additional info:

Comment 1 Jay Fenlason 2005-07-20 14:11:58 UTC
The last time I tried, neither star or pax included gnutar's incremental 
backup functionality, which Amanda uses.  Therefore, before Amanda can use 
either of them, their functionality will have to be improved.  On 
fenlason-rhide.boston.redhat.com, the command Amanda used was: 
/bin/tar: gtar --create --file - --directory / --one-file-system 
--listed-incremental 
/var/lib/amanda/gnutar-lists/fenlason-rhide.boston.redhat.com__0.new --sparse 
--ignore-failed-read --totals --exclude-from 
/var/log/amanda/sendbackup._.20050719025115.exclude . 
 
Neither pax or star will accept these options.  Submit an enhancement request 
against pax or star (or both) to accept these options.  Or submit an 
enhancement request against dump or tar to support EAs and ACLs. 
 
I had forseen this difficulty and was working on a new archiver called ATDS to 
be used as a back end for Amanda to deal with this (and some other) problems.  
Unfortunatly, laroche told me to stop working on it, and I haven't had any 
free time to work on it at home. . . 
 
This should probably be CLOSED->NOTAMANDASBUG but I'm going to leave it open 
as a placeholder. 

Comment 2 Patrick C. F. Ernzer 2005-07-20 16:15:07 UTC
Jay,

I have opened an RFE for both pax (163715) and star (163716).

As I have no customer request so far I did not open a FZ.

Feel free to close this one, as CLOSED->NOTAMANDASBUG

Comment 4 Daniel Novotny 2008-08-25 07:38:14 UTC
OK, closing


Note You need to log in before you can comment on or make changes to this bug.